import { StyleSheet } from "react-native";
import { commonStyles } from "../../../../styles/commonStyle";
import { external } from "../../../../styles/externalStyle";
import {
  appColors,
  appFonts,
  fontSizes,
  windowHeight,
  windowWidth,
} from "@src/themes";

const styles = StyleSheet.create({
  textContainer: {
    ...commonStyles.regularText,
    ...external.pt_5,
    color: appColors.categoryTitle,
  },
  img: {
    width: windowWidth(350),
    height: windowHeight(120),
  },
  itemSeparator: {
    width: windowWidth(25),
  },
  readyText: {
    ...commonStyles.mediumTextBlack12,
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT19,
    color: appColors.whiteColor,
  },
  imgBg: {
    height: windowHeight(82),
    width: "100%",
    // borderRadius: windowHeight(15),
    marginBottom: windowHeight(0.2),
    marginTop: windowHeight(3),
  },
  roundedShadowContainer: {
    width: windowHeight(22),
    height: windowHeight(22),
    borderRadius: windowHeight(20),
    backgroundColor: "white",
    alignItems: "center",
    justifyContent: "center",
    borderColor: appColors.whiteColor,
  },
  mainContainer: {
    backgroundColor: appColors.whiteColor,
    width: "47.3%",
    maxHeight: windowHeight(350),
    marginBottom: windowHeight(15),
    borderRadius: windowHeight(15),
    borderWidth: windowWidth(0.45),
    borderColor: appColors.go,
  },
  imageView: {
    padding: windowHeight(5),
    width: "98%",
    borderRadius: windowHeight(15),
    alignSelf: "center",
    paddingVertical: windowHeight(3),
    paddingBottom: windowHeight(8),
  },
  text: {
    marginHorizontal: windowWidth(5),
    fontFamily: appFonts.regular,
    color: appColors.regularText,
  },
  name: {
    color: appColors.blackColor,
    fontFamily: appFonts.semiBold,
    width: windowWidth(120),
    height: windowHeight(30),
    marginTop: windowHeight(18),
    fontSize: fontSizes.FONT18,
  },
  mainView: {
    justifyContent: "space-between",
    height: windowHeight(20),
    alignItems: "center",
    marginVertical: windowHeight(4),
    marginHorizontal: windowWidth(5),
    marginBottom: windowHeight(5),
  },
  borderLine: {
    borderBottomWidth: 1.5,
    borderBottomColor: appColors.loaderPrimary,
    borderStyle: "dashed",
    marginVertical: windowHeight(5),
    marginTop: windowHeight(10),
  },
});
export { styles };
